TwoPartyTradeFlow.Buyer
Keywords: net.corda.finance.flows.TwoPartyTradeFlow.Buyer class
Date: 2023-09-18

net.corda.finance.flows

## Class TwoPartyTradeFlow.Buyer

- net.corda.core.flows.FlowLogic<T>
- - net.corda.finance.flows.TwoPartyTradeFlow.Buyer

- Enclosing class:
    TwoPartyTradeFlow

      public static class TwoPartyTradeFlow.Buyer
      extends FlowLogic<T>

- - ### Constructor Detail

    - #### Buyer

          public Buyer(@NotNull
                       FlowSession sellerSession,
                       @NotNull
                       Party notary,
                       @NotNull
                       Amount<java.util.Currency> acceptablePrice,
                       @NotNull
                       java.lang.Class<? extends net.corda.core.contracts.OwnableState> typeToBuy,
                       boolean anonymous)

    - #### Buyer

          public Buyer(@NotNull
                       FlowSession otherSideSession,
                       @NotNull
                       Party notary,
                       @NotNull
                       Amount<java.util.Currency> acceptablePrice,
                       @NotNull
                       java.lang.Class<? extends net.corda.core.contracts.OwnableState> typeToBuy)

  - ### Method Detail

    - #### getProgressTracker

          @NotNull
          public ProgressTracker getProgressTracker()

      Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports e.g record to the audit service. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

      Note that this has to return a tracker before the flow is invoked. You can't change your mind half way through.

      See Also:
        `class ProgressTracker`

    - #### call

          @Suspendable
           @NotNull
          public SignedTransaction call()

      This is where you fill out your business logic.